        /* Estilo para restablecer márgenes y relleno del body */
        body {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        /* Estilo adicional para eliminar márgenes y relleno de otros elementos comunes */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        .btn-color {
            background: #c90e2b;
            color: white;
        }

        /* Estilos para el formulario fijo */
        .form-search {

            top: 0;
            left: 0;
            width: 100%;
            background: linear-gradient(to bottom, #35783b, #254d29);
            padding: 12px 0 17px 40px;
            box-shadow: 0 4px 15px 0 rgba(0, 0, 0, 0.32);
            z-index: 1000;
            /* Asegura que el formulario esté encima de otros elementos */
        }

        .form-search h1 {
            color: white;
            font-size: 24px;
        }

        /* Estilo para los campos del formulario */
        .form-group {
            margin-bottom: 20px;
        }

        .error-message {
            color: white;
            font-size: 1.2em;
            margin-top: 5px;
        }

        .calendar-icon {
            position: absolute;
            right: 24px;
            top: 56%;
            transform: translateY(-50%);
            color: #333;
            font-size: 18px;
        }

        /* Estilo para el calendario de Flatpickr */
        .flatpickr-calendar {
            background-color: #fffbfb;
            color: #333;
            border: 1px solid #e2dfdf;
        }

        .flatpickr-calendar .flatpickr-months {
            background-color: #e2dfdf;
            color: #fff;
            margin-bottom: 5px;
        }

        /**.flatpickr-calendar .flatpickr-day {
          color: #333;
      }**/

        .flatpickr-calendar .flatpickr-day.selected,
        .flatpickr-calendar .flatpickr-day.today {
            background-color: #d4d1d1;
            color: #fff;
        }

        .flatpickr-calendar .flatpickr-day:hover {
            background-color: gray;
            color: #fff;
        }

        .flatpickr-calendar .flatpickr-prev-month,
        .flatpickr-calendar .flatpickr-next-month {
            color: gray;
        }

        /* Estilo para el mapa */
        #map {
            height: 400px;
            width: 100%;
        }

        /* Espacio superior para el contenedor */
        .container {
            /* Ajusta este valor según la altura del formulario */
            padding: 20px;
        }

        .margin-boton {
            margin-top: 1rem;
        }

        .form-control-select {
            display: block;
            width: 100%;
            height: calc(1.5em + .75rem + 2px);
            padding: .375rem .75rem;
            font-size: 1rem;
            font-weight: 400;
            line-height: 1.5;
            color: #495057;
            background-color: #fff;
            background-clip: padding-box;
            border: 1px solid #ced4da;
            border-radius: .25rem;
            transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
        }

        /* Consultas de medios para pantallas de hasta 768px */
        @media (max-width: 768px) {
            .form-search {
                position: relative;
                padding: 12px 10px;
                /* Reduce el padding para pantallas más pequeñas */
            }

            .calendar-icon {
                right: 5px;
                /* Ajusta el margen derecho del ícono */
                font-size: 14px;
                /* Ajusta el tamaño del ícono */
            }

            .container {
                width: 95%;
                padding: 10px;
                margin-top: 0px;
                /* Ajusta el margen superior para asegurar que el contenedor no quede oculto */
            }

            .form-group {
                margin-bottom: 10px;
                /* Reduce el margen en pantallas pequeñas */
            }

            .btn {
                padding: 10px;
                /* Ajusta el padding del botón */
                font-size: 0.9em;
                /* Reduce el tamaño del texto del botón */
            }

            .margin-boton {
                margin-top: 0px !important;
            }
        }

        /* Consultas de medios para pantallas de hasta 480px */
        @media (max-width: 480px) {

            #iframeContainer {
                padding: 0px 13px 0px 16px;
            }

            .form-search {
                position: relative;
                padding: 5px 15px 18px 15px;
                /* Reduce aún más el padding para pantallas muy pequeñas */
            }

            .calendar-icon {
                display: none;
                /* Oculta el ícono del calendario en pantallas pequeñas */
            }

            .container {
                width: 100%;
                padding: 5px;
                margin-top: 0px;
                /* Ajusta el margen superior para asegurar que el contenedor no quede oculto */
            }

            .form-group {
                margin-bottom: 8px;
                /* Reduce el margen en pantallas muy pequeñas */
            }

            .btn {
                padding: 8px;
                /* Ajusta el padding del botón */
                font-size: 0.8em;
                /* Reduce el tamaño del texto del botón */
            }

            .margin-boton {
                margin-top: 0px !important;
            }
        }

        label {
            color: white
        }

        /* old engine */
        #hotelForm {
            display: none !important;
        }

        /* old engine */